## ucommon 6.0.7

=== CMakeLists.txt ===
# Copyright (C) 2009 David Sugar, Tycho Softworks
#
# This file is free software; as a special exception the author gives
# unlimited permission to copy and/or distribute it, with or without
# modifications, as long as this notice is preserved.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY, to the extent permitted by law; without even the
# implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
#
# This is a simplified build system for GNU uCommon.  In particular, it
# offers limited cmodel linkage support, at least for mingw32 support (and
# probably visual c 6 also).  If one really needs to do such things outside
# these use cases, it is suggested to continue using the existing autotools
# configure script driven build environment instead.  Mostly the cmake one is
# meant for generating project files for those working with IDE's to do
# otherwise generic builds of the library and supporting applications.

cmake_minimum_required(VERSION 2.6)
PROJECT(ucommon)
set (VERSION 6.0.7)

set(RC_VERSION ${VERSION})
STRING(REGEX REPLACE "[.]" "," RC_VERSION ${RC_VERSION})
set(RC_VERSION "${RC_VERSION},0")

set(SOVERSION ${VERSION})
STRING(REGEX REPLACE "[.].*$" "" SOVERSION ${SOVERSION})

# when we override default install prefix, assume full path is used...

set(INSTALL_INCLUDEDIR include)
set(INSTALL_BINDIR bin)

if(WIN32)
    set(INSTALL_MANDIR man)
    set(INSTALL_DOCDIR doc/${PROJECT_NAME})
    set(INSTALL_LOCALE locale)
    set(INSTALL_LIBDIR bin)
    set(INSTALL_SBINDIR bin)
    set(INSTALL_INFODIR info)
    set(SYSCONFDIR "etc" CACHE PATH "config directory")
    set(STATEDIR "var" CACHE PATH "state directory")
else()
    if (NOT LIB_SUFFIX)
        if (NOT EXISTS /etc/debian_version)
            if (${CMAKE_SYSTEM_PROCESSOR} STREQUAL "x86_64")
                set(LIB_SUFFIX 64)
            endif()
        endif()
    endif()
    set(INSTALL_SBINDIR sbin)
    set(INSTALL_MANDIR share/man)
    set(INSTALL_LOCALE share/locale)
    set(INSTALL_DOCDIR share/doc/${PROJECT_NAME})
    set(INSTALL_INFODIR share/info)
    set(INSTALL_LIBDIR lib${LIB_SUFFIX})
    set(SYSCONFDIR "/etc" CACHE PATH "config directory")
    set(STATEDIR "/var" CACHE PATH "state directory")
endif()

set(UCOMMON_LOCALE ${CMAKE_INSTALL_PREFIX}/${INSTALL_LOCALE})
set(UCOMMON_PREFIX ${CMAKE_INSTALL_PREFIX})

set(UCOMMON_CFGPATH ${SYSCONFDIR})
set(UCOMMON_VARPATH ${STATEDIR})

# project options

if(MSVC60)
    set(BUILD_STATIC ON CACHE BOOL "static linking only" FORCE)
    set(BUILD_STDLIB OFF CACHE BOOL "disable C++ stdlib" FORCE)
    set(POSIX_TIMERS OFF CACHE BOOL "does not use posix timers" FORCE)
    set(GCC_ATOMICS OFF CACHE BOOL "does not use gcc atomics" FORCE)
    MARK_AS_ADVANCED(FORCE BUILD_STDLIB BUILD_STATIC POSIX_TIMERS GCC_ATOMICS)
elseif(WIN32)
        option(BUILD_RUNTIME "Set to OFF to build static runtime" ON)
        if(BUILD_RUNTIME)
            set(BUILD_RUNTIME_TYPE SHARED)
        endif()
    option(BUILD_STATIC "Set to OFF to build shared libraries" ON)
    option(BUILD_STDLIB "Set to OFF to disable C++ stdlib" ON)
    set(POSIX_TIMERS OFF CACHE BOOL "does not use posix timers" FORCE)
    set(GCC_ATOMICS OFF CACHE BOOL "does not use gcc atomics" FORCE)
else()
    option(BUILD_STATIC "Set to ON to build static libraries" OFF)
    option(BUILD_STDLIB "Set to OFF to disable C++ stdlib" ON)
    option(POSIX_TIMERS "Set to ON to enable" OFF)
    option(GCC_ATOMICS "Set to ON to enable" OFF)
endif()

MARK_AS_ADVANCED(POSIX_TIMERS GCC_ATOMICS)

option(BUILD_TESTING "Set to ON to build test programs" OFF)

MESSAGE( STATUS "Configuring GNU ${PROJECT_NAME} ${VERSION}...")
include(CheckFunctionExists)
include(CheckLibraryExists)
include(CheckIncludeFiles)
include(CTest)

SET(CPACK_PACKAGE_DESCRIPTION_SUMMARY "${PROJECT_NAME} library")
SET(CPACK_PACKAGE_VENDOR              "David Sugar")
SET(CPACK_PACKAGE_DESCRIPTION_FILE    "${CMAKE_CURRENT_SOURCE_DIR}/README")
SET(CPACK_RESOURCE_FILE_LICENSE       "${CMAKE_CURRENT_SOURCE_DIR}/COPYING")
set(PACKAGE_FILE_NAME                 ${PROJECT_NAME})
set(PACKAGE_FILE_VERSION              ${VERSION})

IF (WIN32)
    SET(CPACK_PACKAGE_FILE_NAME "${PACKAGE_FILE_NAME}-${PACKAGE_FILE_VERSION}")
ELSE (WIN32)
    SET(CPACK_PACKAGE_FILE_NAME "${PACKAGE_FILE_NAME}-bin-${PACKAGE_FILE_VERSION}")
    if (NOT CPACK_GENERATOR)
        SET(CPACK_GENERATOR "TBZ2")
    endif()
ENDIF (WIN32)

IF(WIN32 AND NOT UNIX)
    SET(CPACK_PACKAGE_INSTALL_DIRECTORY "${CPACK_PACKAGE_FILE_NAME}")

    # There is a bug in NSI that does not handle full unix paths properly. Make
    # sure there is at least one set of four (4) backlasshes.
    # SET(CPACK_PACKAGE_ICON "${CMake_SOURCE_DIR}/Utilities/Release\\\\InstallIcon.bmp")
    # SET(CPACK_NSIS_INSTALLED_ICON_NAME "bin\\\\MyExecutable.exe")
    SET(CPACK_NSIS_DISPLAY_NAME "${CPACK_PACKAGE_INSTALL_DIRECTORY} ${PROJECT_NAME}$")
    SET(CPACK_NSIS_HELP_LINK "http:\\\\\\\\www.gnutelephony.org")
    SET(CPACK_NSIS_URL_INFO_ABOUT "http:\\\\\\\\www.gnutelephony.org")
    SET(CPACK_NSIS_CONTACT "dyfet@gnutelephony.org")
    SET(CPACK_NSIS_MODIFY_PATH ON)

ENDIF(WIN32 AND NOT UNIX)

set(CPACK_COMPONENTS_ALL libraries headers)
set(CPACK_COMPONENT_LIBRARIES_DISPLAY_NAME "Libraries")
set(CPACK_COMPONENT_HEADERS_DISPLAY_NAME   "C++ Headers")
set(CPACK_COMPONENT_LIBRARIES_DESCRIPTION  "Dynamic library")
set(CPACK_COMPONENT_HEADERS_DESCRIPTION
    "Header files needed to build applications using ucommon library")

# The following components are regex's to match anywhere (unless anchored)
# in absolute path + filename to find files or directories to be excluded
# from source tarball.
SET (CPACK_SOURCE_IGNORE_FILES
#svn, git files
"\\\\.svn/" "\\\\.cvsignore$" "/\\\\.git/"
# temporary files
"\\\\.swp$"
# backup files
"~$"
# eclipse, kdevelop and othe IDE files
"\\\\.cdtproject$" "\\\\.cproject$" "\\\\.project$" "\\\\.settings/" "\\\\.kdev4/" "\\\\.kdev4$"
# others
"\\\\.#" "/#"
# don't copy build and other dirs used for building
"/build/" "/autom4te\\\\.cache/" "/_build/"
# used before
"/CVS/" "/\\\\.libs/" "/\\\\.deps/" "\\\\.o$" "\\\\.lo$" "\\\\.la$" "\\\\.sh$" "Makefile\\\\.in$")

SET(CPACK_SOURCE_GENERATOR "TBZ2")
SET(CPACK_SOURCE_PACKAGE_FILE_NAME "${PACKAGE_FILE_NAME}-${PACKAGE_FILE_VERSION}")

# This must always be last!
INCLUDE(CPack)

# set to true for debug and trace during CMakeLists development
set(CMAKE_VERBOSE_MAKEFILE FALSE)

# add module path of project if it exists...
if (EXISTS "${CMAKE_SOURCE_DIR}/inc/")
    set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/inc/")
endif()

include (inc/ucommon.cmake)

find_package(Threads)
if (CMAKE_HAVE_PTHREAD_H)
    set(HAVE_PTHREAD_H TRUE)
endif()
set (UCOMMON_LIBS ${UCOMMON_LIBS} ${CMAKE_THREAD_LIBS_INIT} ${WITH_LDFLAGS})

if (MINGW OR MSYS)
    set (UCOMMON_LIBS ${UCOMMON_LIBS} mingwex mingw32)
else()
    if (WIN32 AND CMAKE_COMPILER_IS_GNUCXX)
        set (UCOMMON_LIBS ${UCOMMON_LIBS} mingwex mingw32)
    endif()
endif()

if (WIN32 OR MINGW OR MSYS OR CMAKE_SYSTEM MATCHES "Windows")
    set (UCOMMON_LIBS ${UCOMMON_LIBS} crypt32 advapi32 user32 ws2_32 wsock32 kernel32)
endif()

if(UNIX AND NOT BUILD_STDLIB)
    set(UCOMMON_LIBS ${UCOMMON_LIBS} c)
endif()

if(MSYS OR MINGW)
    set(UCOMMON_LIBS ${UCOMMON_LIBS} msvcrt)
endif()

if(CMAKE_COMPILER_IS_GNUCXX AND NOT BUILD_STDLIB)
    check_library_exists(gcc __modsi3 "" HAVE_GCC_LIB)
    if(HAVE_GCC_LIB)
            set(UCOMMON_LIBS ${UCOMMON_LIBS} gcc)
    endif()
endif()


if(UNIX OR MSYS OR MINGW OR CYGWIN)
    check_library_exists(dl dlopen "" HAVE_DL_LIB)
    if (HAVE_DL_LIB)
        set (UCOMMON_LIBS ${UCOMMON_LIBS} dl)
    else()
        check_library_exists(compat dlopen "" HAVE_COMPAT_LIB)
        if(HAVE_COMPAT_LIB)
            set (UCOMMON_LIBS ${UCOMMON_LIBS} compat)
        endif()
    endif()

    check_library_exists(dld shl_load "" HAVE DLD_LIB)
    if (HAVE_DLD_LIB)
        set (UCOMMON_LIBS ${UCOMMON_LIBS} dld)
    endif()

    check_library_exists(socket socket "" HAVE_SOCKET_LIB)
    if (HAVE_SOCKET_LIB)
        set (UCOMMON_LIBS ${UCOMMON_LIBS} socket)
    endif()

    check_library_exists(posix4 sem_wait "" HAVE_POSIX4_LIB)
    if (HAVE_POSIX4_LIB)
        set(UCOMMON_LIBS ${UCOMMON_LIBS} posix4)
    endif()

    check_library_exists(rt clock_gettime "" HAVE_RT_LIB)
    if (HAVE_RT_LIB)
        set(UCOMMON_LIBS ${UCOMMON_LIBS} rt)
    endif()
endif()

set (CMAKE_REQUIRED_LIBRARIES ${UCOMMON_LIBS})
check_function_exists(getaddrinfo HAVE_GETADDRINFO)
check_function_exists(socketpair HAVE_SOCKETPAIR)
check_function_exists(inet_ntop HAVE_INET_NTOP)
check_function_exists(gethostbyname2 HAVE_GETHOSTBYNAME2)
check_function_exists(strcoll HAVE_STRCOLL)
check_function_exists(stricmp HAVE_STRICMP)
check_function_exists(stristr HAVE_STRISTR)
check_function_exists(sysconf HAVE_SYSCONF)
check_function_exists(posix_memalign HAVE_POSIX_MEMALIGN)
check_function_exists(dlopen HAVE_DLOPEN)
check_function_exists(shl_open HAVE_SHL_OPEN)
check_function_exists(pthread_condattr_setclock HAVE_PTHREAD_CONDATTR_SETCLOCK)
check_function_exists(pthread_setconcurrency HAVE_PTHREAD_SETCONCURRENCY)
check_function_exists(pthread_yield HAVE_PTHREAD_YIELD)
check_function_exists(pthread_yield_np HAVE_PTHREAD_YIELD_NP)
check_function_exists(pthread_delay HAVE_PTHREAD_DELAY)
check_function_exists(pthread_delay_np HAVE_PTHREAD_DELAY_NP)
check_function_exists(pthread_setschedprio HAVE_PTHREAD_SETSCHEDPRIO)
check_function_exists(ftok HAVE_FTOK)
check_function_exists(shm_open HAVE_SHM_OPEN)
check_function_exists(localtime_r HAVE_LOCALTIME_R)
check_function_exists(gmtime_r HAVE_GMTIME_R)
check_function_exists(strerror_r HAVE_STRERROR_R)
check_function_exists(nanosleep HAVE_NANOSLEEP)
check_function_exists(clock_nanosleep HAVE_CLOCK_NANOSLEEP)
check_function_exists(clock_gettime HAVE_CLOCK_GETTIME)
check_function_exists(posix_fadvise HAVE_POSIX_FADVISE)
check_function_exists(ftruncate HAVE_FTRUNCATE)
check_function_exists(pwrite HAVE_PWRITE)
check_function_exists(setpgrp HAVE_SETPGRP)
check_function_exists(setlocale HAVE_SETLOCALE)
check_function_exists(gettext HAVE_GETTEXT)
check_function_exists(execvp HAVE_EXECVP)
check_function_exists(atexit HAVE_ATEXIT)
check_function_exists(lstat HAVE_LSTAT)
check_function_exists(realpath HAVE_REALPATH)
check_function_exists(symlink HAVE_SYMLINK)
check_function_exists(readlink HAVE_READLINK)
check_function_exists(waitpid HAVE_WAITPID)
check_function_exists(wait4 HAVE_WAIT4)

check_include_files(sys/stat.h HAVE_SYS_STAT_H)
check_include_files(strings.h HAVE_STRINGS_H)
check_include_files(stdlib.h HAVE_STDLIB_H)
check_include_files(string.h HAVE_STRING_H)
check_include_files(memory.h HAVE_MEMORY_H)
check_include_files(inttypes.h HAVE_INTTYPES_H)
check_include_files(dlfcn.h HAVE_DLFCN_H)
check_include_files(stdint.h HAVE_STDINT_H)
check_include_files(poll.h HAVE_POLL_H)
check_include_files(sys/mman.h HAVE_SYS_MMAN_H)
check_include_files(sys/shm.h HAVE_SYS_SHM_H)
check_include_files(sys/poll.h HAVE_SYS_POLL_H)
check_include_files(sys/timeb.h HAVE_SYS_TIMEB_H)
check_include_files(sys/types.h HAVE_SYS_TYPES_H)
check_include_files(sys/wait.h HAVE_SYS_WAIT_H)
check_include_files(endian.h HAVE_ENDIAN_H)
check_include_files(sys/filio.h HAVE_SYS_FILIO_H)
check_include_files(dirent.h HAVE_DIRENT_H)
check_include_files(unistd.h HAVE_UNISTD_H)
check_include_files(sys/resource.h HAVE_SYS_RESOURCE_H)
check_include_files(wchar.h HAVE_WCHAR_H)
check_include_files(mach/clock.h HAVE_MACH_CLOCK_H)
check_include_files(mach-o/dyld.h HAVE_MACH_O_DYLD_H)
check_include_files(linux/version.h HAVE_LINUX_VERSION_H)
check_include_files(regex.h HAVE_REGEX_H)
check_include_files(sys/inotify.h HAVE_SYS_INOTIFY_H)
check_include_files(sys/event.h HAVE_SYS_EVENT_H)
check_include_files(syslog.h HAVE_SYSLOG_H)
check_include_files(openssl/ssl.h HAVE_OPENSSL)
check_include_files(openssl/fips.h HAVE_OPENSSL_FIPS_H)
check_include_files(libintl.h HAVE_LIBINTL_H)

=== test/CMakeLists.txt ===
project(test)
cmake_minimum_required(VERSION 2.6)

include_directories(${CMAKE_CURRENT_SOURCE_DIR}
                    ${CMAKE_CURRENT_SOURCE_DIR}/../inc)

link_directories(${CMAKE_CURRENT_BINARY_DIR}
         ${CMAKE_CURRENT_BINARY_DIR}/../src)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/keydata.conf ${CMAKE_CURRENT_BINARY_DIR}/keydata.conf COPYONLY)

add_executable(test-ucommonLinked linked.cpp)
target_link_libraries(test-ucommonLinked ucommon)
add_test(NAME ucommonLinked COMMAND test-ucommonLinked)

add_executable(test-ucommonSocket socket.cpp)
target_link_libraries(test-ucommonSocket ucommon)
add_test(NAME ucommonSocket COMMAND test-ucommonSocket)

add_executable(test-ucommonStrings string.cpp)
target_link_libraries(test-ucommonStrings ucommon)
add_test(NAME ucommonStrings COMMAND test-ucommonStrings)

add_executable(test-ucommonThreads thread.cpp)
target_link_libraries(test-ucommonThreads ucommon)
add_test(NAME ucommonThreads COMMAND test-ucommonThreads)

add_executable(test-ucommonKeydata keydata.cpp)
target_link_libraries(test-ucommonKeydata ucommon)
add_test(NAME ucommonKeydata COMMAND test-ucommonKeydata)

add_executable(test-ucommonMemory memory.cpp)
target_link_libraries(test-ucommonMemory ucommon)
add_test(NAME ucommonMemory COMMAND test-ucommonMemory)

add_executable(test-ucommonStream stream.cpp)
target_link_libraries(test-ucommonStream ucommon)
add_test(NAME ucommonStream COMMAND test-ucommonStream)

add_executable(test-ucommonUnicode unicode.cpp)
target_link_libraries(test-ucommonUnicode ucommon)
add_test(NAME ucommonUnicode COMMAND test-ucommonUnicode)

add_executable(test-ucommonQueue queue.cpp)
target_link_libraries(test-ucommonQueue ucommon)
add_test(NAME ucommonQueue COMMAND test-ucommonQueue)

add_executable(test-ucommonDatetime datetime.cpp)
target_link_libraries(test-ucommonDatetime ucommon)
add_test(NAME ucommonDatetime COMMAND test-ucommonDatetime)

add_executable(test-ucommonShell shell.cpp)
target_link_libraries(test-ucommonShell ucommon)
add_test(NAME ucommonShell COMMAND test-ucommonShell)

add_executable(test-ucommonCipher cipher.cpp)
target_link_libraries(test-ucommonCipher usecure ucommon)
add_test(NAME ucommonCipher COMMAND test-ucommonCipher)

add_executable(test-ucommonDigest digest.cpp)
target_link_libraries(test-ucommonDigest usecure ucommon)
add_test(NAME ucommonDigest COMMAND test-ucommonDigest)

## ucommon 3.2.0

=== debian/changelog ===
ucommon (3.2.0-0ubuntu1) maverick; urgency=low

  * New upstream release (LP: #601976)
  * debian/control:
    + tighten versioned debhelper dependency
    + bump up Standards-Version to 3.9.0 no other changes
  * debian/rules:
    + remove get-orig-source as watch uscan does the same thing
  * debian/source/format:
    + (new file). Set to 3.0 (quilt) format

 -- Bhavani Shankar <bhavi@ubuntu.com>  Mon, 05 Jul 2010 22:50:26 +0530

ucommon (2.1.3-0ubuntu1) maverick; urgency=medium

  * new upstream abi and bug fix release. LP: #575082
  * repackaged for debhelper 7.
  * unicode support added.

 -- David Sugar <david.sugar@canonical.com>  Mon, 03 May 2010 15:43:23 -0400

ucommon (2.0.8-0ubuntu1) lucid; urgency=low

  * New Upstream release. LP: #514194
  * Bump Standards to 3.8.4. No other changes

 -- Bhavani Shankar <right2bhavi@gmail.com>  Sat, 30 Jan 2010 07:39:01 +0530

ucommon (2.0.7-0ubuntu1) lucid; urgency=low

  * New upstream release.
  * Also install upstream's changelog.
  * Bump Standards.
  * Move libucommon2-dbg runtime to debug section.
  * Update debian/copyright.
  * Install NEWS,README,SUPPORT as doc files.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Thu, 03 Dec 2009 20:54:10 +0100

ucommon (2.0.6-0ubuntu1) karmic; urgency=low

  * New upstream release LP: #404876
  * Standards-Version is 3.8.2 No other changes.

 -- Bhavani Shankar <right2bhavi@gmail.com>  Sun, 26 Jul 2009 20:10:53 +0530

ucommon (2.0.5-0ubuntu1) karmic; urgency=low

  * Initial packaging for universe. (LP: #342642)

 -- David Sugar <dyfet@gnutelephony.org>  Thu, 30 Apr 2009 07:45:19 -0400

=== debian/control ===
Source: ucommon
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: David Sugar <dyfet@gnutelephony.org>
Build-Depends: debhelper (>= 7.0.50~), doxygen, graphviz, dpkg-dev (>= 1.13.19)
Standards-Version: 3.9.0
Section: libs
Homepage: http://www.gnu.org/software/commoncpp/

Package: libucommon-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Recommends: libucommon-dev
Description: Class documentation for ucommon runtime
 Browsable class documentation generated from headers.

Package: libucommon-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libucommon3 (= ${binary:Version})
Suggests: pkg-config
Description: Headers and static link library for ucommon
 This offers header files for developing applications which use the uCommon
 library.

Package: libucommon3-dbg
Architecture: any
Section: debug
Priority: extra
Recommends: libucommon-dev
Depends: ${misc:Depends}, libucommon3 (= ${binary:Version})
Description: debugging symbols for libucommon3
 This package contains the debugging symbols for libucommon3.

Package: libucommon3
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Portable C++ runtime for threads and sockets
 uCommon is a lightweight C++ library to facilitate using C++ design patterns
 even for very deeply embedded applications, such as for systems using uClibc
 along with POSIX threading support. For this reason, UCommon disables language
 features that consume memory or introduce runtime overhead. UCommon introduces
 some design patterns from Objective-C, such as reference counted objects,
 memory pools, and smart pointers. UCommon introduces some new concepts for
 handling of thread locking and synchronization.

=== debian/rules ===
#!/usr/bin/make -f

FILENAME = $(DEB_SOURCE_PACKAGE)_$(DEB_UPSTREAM_VERSION).orig.tar.gz
URL = http://ftp.gnu.org/pub/gnu/commoncpp/ucommon-$(DEB_UPSTREAM_VERSION).tar.gz

# Ensure at build time that the library has no dependencies on undefined
# symbols, and speed up loading.
LDFLAGS += -Wl,-z,defs -Wl,-O1

DEB_DH_INSTALL_ARGS := --sourcedir=debian/tmp
DEB_DH_STRIP_ARGS := --dbg-package=libucommon3-dbg
DEB_INSTALL_DOCS_ALL :=
DEB_INSTALL_CHANGELOG_ALL := ChangeLog
DEBIAN_DIR := $(shell echo ${MAKEFILE_LIST} | awk '{print $$1}' | xargs dirname )
UPSTREAM_VERSION ?=$(shell uscan --dehs | sed -n 's/.*<upstream-version>\(.*\)<\/upstream-version>.*/\1/p')

%:
	dh $@

.PHONY: override_dh_strip override_dh_auto_build override_dh_auto_install

override_dh_strip:
	dh_strip $(DEB_DH_STRIP_ARGS)

override_dh_auto_build:
	dh_auto_build
	$(MAKE) doxy 

override_dh_auto_install:
	dh_auto_install
	mkdir -p debian/tmp/usr/share/doc/libucommon-dev
	cp doc/html/* debian/tmp/usr/share/doc/libucommon-dev

=== debian/watch ===
version=3
http://ftp.gnu.org/pub/gnu/commonc++/ucommon-([\d\.]*)\.tar\.gz

## ucommon 4.3.3-maemo1

=== debian/changelog ===
ucommon (4.3.3-maemo1) unstable; urgency=low

  * Fremantle packaging

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Tue, 17 May 2011 11:49:26 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: ucommon
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: David Sugar <dyfet@gnutelephony.org>
+Maintainer: Aapo Rantalainen <aapo.rantalainen@gmail.com>
 Build-Depends: debhelper (>= 7.0.50~), doxygen, graphviz, dpkg-dev (>= 1.13.19)
 Standards-Version: 3.9.0
 Section: libs
 Homepage: http://www.gnu.org/software/commoncpp/
+XSBC-Bugtracker: http://www.gnu.org/software/commoncpp/
 
 Package: libucommon-doc
 Section: doc
@@ -18,22 +18,22 @@
 Package: libucommon-dev
 Section: libdevel
 Architecture: any
-Depends: ${misc:Depends}, libucommon3 (= ${binary:Version})
+Depends: ${misc:Depends}, libucommon4 (= ${binary:Version})
 Suggests: pkg-config
 Description: Headers and static link library for ucommon
  This offers header files for developing applications which use the uCommon
  library.
 
-Package: libucommon3-dbg
+Package: libucommon4-dbg
 Architecture: any
 Section: debug
 Priority: extra
 Recommends: libucommon-dev
-Depends: ${misc:Depends}, libucommon3 (= ${binary:Version})
-Description: debugging symbols for libucommon3
- This package contains the debugging symbols for libucommon3.
+Depends: ${misc:Depends}, libucommon4 (= ${binary:Version})
+Description: debugging symbols for libucommon4
+ This package contains the debugging symbols for libucommon4.
 
-Package: libucommon3
+Package: libucommon4
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Portable C++ runtime for threads and sockets

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 LDFLAGS += -Wl,-z,defs -Wl,-O1
 
 DEB_DH_INSTALL_ARGS := --sourcedir=debian/tmp
-DEB_DH_STRIP_ARGS := --dbg-package=libucommon3-dbg
+DEB_DH_STRIP_ARGS := --dbg-package=libucommon4-dbg
 DEB_INSTALL_DOCS_ALL :=
 DEB_INSTALL_CHANGELOG_ALL := ChangeLog
 DEBIAN_DIR := $(shell echo ${MAKEFILE_LIST} | awk '{print $$1}' | xargs dirname )

=== debian/watch ===
version=4
http://ftp.gnu.org/pub/gnu/commonc++/ucommon-([\d\.]*)\.tar\.gz

## ucommon 5.0.5

=== debian/changelog ===
ucommon (5.0.5-1) unstable; urgency=low

  * New upstream release.
    + rename scrub to scrub-files to avoid name conflict.
      Closes: bug#632287.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 08 Aug 2011 09:29:18 +0200

ucommon (5.0.4-2) unstable; urgency=low

  * Build documentation only when doxy is available.
    Closes: bug#632343. Thanks to Aaron M. Ucko.
  * Fix Homepage.
    Closes: bug#634290. Thanks to bertagaz.
  * Add patch 1002 to fix FTBFS on kfreebsd.
    Closes: bug#632346. Thanks to Aaron M. Ucko and David Sugar.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 25 Jul 2011 13:38:51 +0200

ucommon (5.0.4-1) unstable; urgency=low

  * New upstream release.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 12 Jul 2011 10:31:43 +0200

ucommon (5.0.3-1) unstable; urgency=low

  * Initial release.
    Closes: Bug#532808.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 27 Jun 2011 19:15:59 +0200

=== debian/control ===
Source: ucommon
Priority: optional
Maintainer: Jonas Smedegaard <dr@jones.dk>
Build-Depends: autotools-dev,
 devscripts (>= 2.10.7~),
 libtool,
 automake1.11,
 autoconf,
 cdbs (>= 0.4.85~),
 debhelper (>= 7.0.1),
 dh-buildinfo,
 pkg-config,
 libgnutls-dev,
 d-shlibs (>= 0.45~),
 gcc (>= 4:4.4)
Build-Depends-Indep: doxygen-latex
Standards-Version: 3.9.2
Section: net
Homepage: http://www.gnu.org/software/commoncpp/
Vcs-Git: git://git.debian.org/git/collab-maint/ucommon.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/ucommon.git

Package: libucommon-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
 libucommon5 (= ${binary:Version}),
 ${devlibs:Depends},
Suggests: ucommon-doc
Description: lightweight C++ threading and sockets - development files
 GNU uCommon C++ is a lightweight library to facilitate using C++ design
 patterns even for very deeply embedded applications, such as for
 systems using uClibc along with POSIX threading support. For this
 reason, uCommon disables language features that consume memory or
 introduce runtime overhead. uCommon introduces some design patterns
 from Objective-C, such as reference counted objects, memory pools, and
 smart pointers.  uCommon introduces some new concepts for handling of
 thread locking and synchronization.
 .
 This package contains the development headers and static libraries.

Package: libucommon5-dbg
Architecture: any
Section: debug
Priority: extra
Depends: ${misc:Depends},
 libucommon5 (= ${binary:Version})
Description: lightweight C++ threading and sockets - debugging symbols
 GNU uCommon C++ is a lightweight library to facilitate using C++ design
 patterns even for very deeply embedded applications, such as for
 systems using uClibc along with POSIX threading support. For this
 reason, uCommon disables language features that consume memory or
 introduce runtime overhead. uCommon introduces some design patterns
 from Objective-C, such as reference counted objects, memory pools, and
 smart pointers.  uCommon introduces some new concepts for handling of
 thread locking and synchronization.
 .
 This package contains the debugging symbols.

Package: libucommon5
Section: libs
Architecture: any
Depends: ${misc:Depends},
 ${shlibs:Depends}
Suggests: ucommon-utils
Description: lightweight C++ threading and sockets - shared libraries
 GNU uCommon C++ is a lightweight library to facilitate using C++ design
 patterns even for very deeply embedded applications, such as for
 systems using uClibc along with POSIX threading support. For this
 reason, uCommon disables language features that consume memory or
 introduce runtime overhead. uCommon introduces some design patterns
 from Objective-C, such as reference counted objects, memory pools, and
 smart pointers.  uCommon introduces some new concepts for handling of
 thread locking and synchronization.
 .
 This package contains the shared libraries.

Package: ucommon-utils
Section: utils
Architecture: any
Depends: ${misc:Depends},
 ${shlibs:Depends}
Description: lightweight C++ threading and sockets - utilities
 GNU uCommon C++ is a lightweight library to facilitate using C++ design
 patterns even for very deeply embedded applications, such as for
 systems using uClibc along with POSIX threading support. For this
 reason, uCommon disables language features that consume memory or
 introduce runtime overhead. uCommon introduces some design patterns
 from Objective-C, such as reference counted objects, memory pools, and
 smart pointers.  uCommon introduces some new concepts for handling of
 thread locking and synchronization.
 .
 This package contains the following utilities included as part of the
 GNU uCommon C++ project:
  * args
  * car
  * mdsum
  * scrub
  * sockaddr
  * zerofill

Package: ucommon-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
Description: lightweight C++ threading and sockets - shared libraries
 GNU uCommon C++ is a lightweight library to facilitate using C++ design
 patterns even for very deeply embedded applications, such as for
 systems using uClibc along with POSIX threading support. For this
 reason, uCommon disables language features that consume memory or
 introduce runtime overhead. uCommon introduces some design patterns
 from Objective-C, such as reference counted objects, memory pools, and
 smart pointers.  uCommon introduces some new concepts for handling of
 thread locking and synchronization.
 .
 This package contains the API documentation.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Copyright © 2011 Jonas Smedegaard <dr@jones.dk>
# Description: Main Debian packaging script for GNU uCommon C++
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

# This needs to run (and thus be declared) before CDBS includes
debian/control:: debian/control.in
DEB_PHONY_RULES += debian/control.in
debian/control.in::
	sed -e 's/__LIBPKGNAME__/$(libpkgname)/g' <debian/control.in.in >debian/control.in

DEB_AUTO_UPDATE_LIBTOOL = pre
DEB_AUTO_UPDATE_AUTOCONF = 2.68
DEB_AUTO_UPDATE_AUTOHEADER = 2.68
DEB_AUTO_UPDATE_ACLOCAL = 1.11
DEB_AUTO_UPDATE_AUTOMAKE = 1.11
include /usr/share/cdbs/1/rules/upstream-tarball.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/class/autotools.mk
#include /usr/share/cdbs/1/class/cmake.mk
include /usr/share/cdbs/1/rules/debhelper.mk

stem = ucommon
major = $(firstword $(subst .,$(space),$(DEB_UPSTREAM_VERSION)))
libname = lib$(stem)
libpkgname = lib$(stem)$(major)
pkgconfigname = $(libname)
extralibnames = libusecure

DEB_UPSTREAM_URL = http://www.gnutelephony.org/dist/tarballs
DEB_UPSTREAM_TARBALL_MD5 = 4f2d43dc981309970482d80cad42de65

CDBS_BUILD_DEPENDS += , pkg-config, libgnutls-dev, d-shlibs (>= 0.45~)

DEB_MAKE_CHECK_TARGET = check

devutils = ucommon-config
utils = args scrub-files mdsum zerofill car sockaddr

# Transitional compatibility wrapper for Common C++
#extralibnames += libcommoncpp
#pkgconfigstems += libcommoncpp
#devutils += commoncpp-config
DEB_CONFIGURE_EXTRA_FLAGS += --disable-commoncpp --disable-stdcpp

# Apparently atomic intrinsics was introduced in GCC 4.4
CDBS_BUILD_DEPENDS += , gcc (>= 4:4.4)
DEB_CONFIGURE_EXTRA_FLAGS += --enable-atomics

DEB_INSTALL_DOCS_$(stem)-doc += doc/html
DEB_INSTALL_MANPAGES_$(libname)-dev = $(patsubst %,debian/tmp/usr/share/man/man1/%.1,$(devutils))
DEB_INSTALL_MANPAGES_$(stem)-utils = $(patsubst %,debian/tmp/usr/share/man/man1/%.1,$(utils))
DEB_DH_INSTALL_ARGS_$(libname)-dev = --autodest $(patsubst %,usr/bin/%,$(devutils))
DEB_DH_INSTALL_ARGS_$(stem)-utils = --autodest $(patsubst %,usr/bin/%,$(utils))

# put aside upstream-shipped temp files during build but after copyright-check
upstreamtmpfiles = Makefile.in $(patsubst %,%/Makefile.in,commoncpp corelib gnutls inc inc/commoncpp inc/ucommon nossl openssl test utils)
upstreamtmpfiles += aclocal.m4 autoconf/ltmain.sh configure ucommon.spec
pre-build:: debian/stamp-upstreamtmpstuff
debian/stamp-upstreamtmpstuff: debian/stamp-copyright-check
	for file in $(upstreamtmpfiles); do \
		[ ! -e $$file ] || [ -e $$file.upstream ] || cp -a $$file $$file.upstream; \
	done
	touch $@
clean::
	for file in $(upstreamtmpfiles); do \
		[ ! -e $$file.upstream ] || mv -f $$file.upstream $$file; \
	done
	rm -f debian/stamp-upstreamtmpstuff

# Build documentation only if doxy is available. See bug#632343
common-build-indep:: debian/stamp-docs
debian/stamp-docs:
	[ ! -d /usr/share/doc/doxygen-latex ]  ||  $(DEB_MAKE_INVOKE) doxy
	touch $@
clean::
	rm -f debian/stamp-docs

# Let d-shlibs calculate development package dependencies
#  and handle shared library install
binary-post-install/$(libpkgname):: debian/stamp-local-shlibs-$(libname)
debian/stamp-local-shlibs-$(libname): binary-install/$(libpkgname)
	d-shlibmove --commit \
		--devunversioned \
		--exclude-la \
		--override  s/$(libname)$(major)-dev/$(libname)-dev/ \
		--movedev "debian/tmp/usr/include/*" usr/include/ \
		$(patsubst %,--movedev debian/tmp/usr/lib/pkgconfig/%.conf usr/lib/pkgconfig,$(pkgconfigstems)) \
		$(patsubst %,--extralib debian/tmp/usr/lib/%.so,$(extralibnames)) \
		debian/tmp/usr/lib/$(libname).so
	touch $@
clean::
	rm -f debian/stamp-local-shlibs-$(libname)

## ucommon 5.1.0

=== debian/changelog ===
ucommon (5.1.0-1) unstable; urgency=low

  * New upstream release.
  * Drop patches: Obsolete.
  * Update copyright file:
    + Merge equally owned and licensed Files sections.
    + Extend copyright ranges.
  * Update package relations:
    + Relax build-dependency on cdbs (needlessly tight).
    + Relax build-depend unversioned on debhelper and devscripts (needed
      versions satisfied even in oldstable).

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 24 Dec 2011 22:36:24 +0700

=== debian/rules ===
--- 
+++ 
@@ -41,7 +41,7 @@
 extralibnames = libusecure
 
 DEB_UPSTREAM_URL = http://www.gnutelephony.org/dist/tarballs
-DEB_UPSTREAM_TARBALL_MD5 = 4f2d43dc981309970482d80cad42de65
+DEB_UPSTREAM_TARBALL_MD5 = 2aa7bec3ad5ef9f83149811d9424f291
 
 CDBS_BUILD_DEPENDS += , pkg-config, libgnutls-dev, d-shlibs (>= 0.45~)

## ucommon 5.2.0

=== debian/changelog ===
ucommon (5.2.0-1) unstable; urgency=low

  * New upstream release.
  * Drop dpkg-source local-options: Defaults since dpkg-source 1.16.1.
  * Add git-buildpackage configfile, enabling signed tags.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 22 Jan 2012 03:55:17 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: ucommon
 Priority: optional
 Maintainer: Jonas Smedegaard <dr@jones.dk>
-Build-Depends: autotools-dev,
- devscripts (>= 2.10.7~),
+Build-Depends: cdbs (>= 0.4.70~),
+ autotools-dev,
+ devscripts,
  libtool,
  automake1.11,
  autoconf,
- cdbs (>= 0.4.85~),
- debhelper (>= 7.0.1),
+ debhelper,
  dh-buildinfo,
  pkg-config,
  libgnutls-dev,

=== debian/rules ===
--- 
+++ 
@@ -41,14 +41,14 @@
 extralibnames = libusecure
 
 DEB_UPSTREAM_URL = http://www.gnutelephony.org/dist/tarballs
-DEB_UPSTREAM_TARBALL_MD5 = 2aa7bec3ad5ef9f83149811d9424f291
+DEB_UPSTREAM_TARBALL_MD5 = c113a611a8b11a37b5d477ec1a0b2d9e
 
 CDBS_BUILD_DEPENDS += , pkg-config, libgnutls-dev, d-shlibs (>= 0.45~)
 
 DEB_MAKE_CHECK_TARGET = check
 
 devutils = ucommon-config
-utils = args scrub-files mdsum zerofill car sockaddr
+utils = args scrub-files mdsum zerofill car sockaddr pdetach
 
 # Transitional compatibility wrapper for Common C++
 #extralibnames += libcommoncpp

=== debian/watch ===
# Run the "uscan" command to check for upstream updates and more.
version=3
http://www.gnutelephony.org/dist/tarballs/ucommon-(\d.*)\.tar\.gz

## ucommon 5.2.2

=== debian/changelog ===
ucommon (5.2.2-4) unstable; urgency=low

  * Update upstream source URL.
  * Use anonscm.debian.org for Vcs-Browser field.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 25 Jun 2012 16:08:34 +0200

ucommon (5.2.2-3) unstable; urgency=low

  * Build transitional compatibility wrapper for Common C++.
  * Fix build-depend on graphviz.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 12 May 2012 23:44:16 +0200

ucommon (5.2.2-2) unstable; urgency=low

  * Fix short description of -doc package to mention documentation (not
    shared libraries).
    Closes: bug#671005. Thanks to Davide Prina.
  * Fix install ucommon.pc, and recommend pkg-config.
    Closes: bug#672656. Thanks to David Sugar.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 12 May 2012 19:57:32 +0200

ucommon (5.2.2-1) unstable; urgency=low

  * New upstream release.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 07 Apr 2012 17:59:50 +0200

ucommon (5.2.1-1) unstable; urgency=low

  * New upstream release.
  * Bump standards-version to 3.9.3.
  * Update copyright file:
    + Bump format to 1.0.
    + Fix double-indent multiline Copyright fields.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 11 Mar 2012 00:06:35 +0100

=== debian/control ===
--- 
+++ 
@@ -12,13 +12,14 @@
  pkg-config,
  libgnutls-dev,
  d-shlibs (>= 0.45~),
+ graphviz,
  gcc (>= 4:4.4)
 Build-Depends-Indep: doxygen-latex
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Section: net
 Homepage: http://www.gnu.org/software/commoncpp/
 Vcs-Git: git://git.debian.org/git/collab-maint/ucommon.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/ucommon.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/ucommon.git
 
 Package: libucommon-dev
 Section: libdevel
@@ -26,6 +27,7 @@
 Depends: ${misc:Depends},
  libucommon5 (= ${binary:Version}),
  ${devlibs:Depends},
+Recommends: pkg-config
 Suggests: ucommon-doc
 Description: lightweight C++ threading and sockets - development files
  GNU uCommon C++ is a lightweight library to facilitate using C++ design
@@ -103,7 +105,7 @@
 Section: doc
 Architecture: all
 Depends: ${misc:Depends},
-Description: lightweight C++ threading and sockets - shared libraries
+Description: lightweight C++ threading and sockets - documentation
  GNU uCommon C++ is a lightweight library to facilitate using C++ design
  patterns even for very deeply embedded applications, such as for
  systems using uClibc along with POSIX threading support. For this

=== debian/rules ===
--- 
+++ 
@@ -37,13 +37,13 @@
 major = $(firstword $(subst .,$(space),$(DEB_UPSTREAM_VERSION)))
 libname = lib$(stem)
 libpkgname = lib$(stem)$(major)
-pkgconfigname = $(libname)
 extralibnames = libusecure
+pkgconfigstems = $(stem)
 
-DEB_UPSTREAM_URL = http://www.gnutelephony.org/dist/tarballs
-DEB_UPSTREAM_TARBALL_MD5 = c113a611a8b11a37b5d477ec1a0b2d9e
+DEB_UPSTREAM_URL = http://ftp.gnu.org/gnu/commoncpp
+DEB_UPSTREAM_TARBALL_MD5 = 4739fcd9db006432f1b8e2ea226e414a
 
-CDBS_BUILD_DEPENDS += , pkg-config, libgnutls-dev, d-shlibs (>= 0.45~)
+CDBS_BUILD_DEPENDS += , pkg-config, libgnutls-dev, d-shlibs (>= 0.45~), graphviz
 
 DEB_MAKE_CHECK_TARGET = check
 
@@ -51,10 +51,10 @@
 utils = args scrub-files mdsum zerofill car sockaddr pdetach
 
 # Transitional compatibility wrapper for Common C++
-#extralibnames += libcommoncpp
-#pkgconfigstems += libcommoncpp
-#devutils += commoncpp-config
-DEB_CONFIGURE_EXTRA_FLAGS += --disable-commoncpp --disable-stdcpp
+extralibnames += libcommoncpp
+pkgconfigstems += commoncpp
+devutils += commoncpp-config
+#DEB_CONFIGURE_EXTRA_FLAGS += --disable-commoncpp --disable-stdcpp
 
 # Apparently atomic intrinsics was introduced in GCC 4.4
 CDBS_BUILD_DEPENDS += , gcc (>= 4:4.4)
@@ -98,7 +98,7 @@
 		--exclude-la \
 		--override  s/$(libname)$(major)-dev/$(libname)-dev/ \
 		--movedev "debian/tmp/usr/include/*" usr/include/ \
-		$(patsubst %,--movedev debian/tmp/usr/lib/pkgconfig/%.conf usr/lib/pkgconfig,$(pkgconfigstems)) \
+		$(patsubst %,--movedev debian/tmp/usr/lib/pkgconfig/%.pc usr/lib/pkgconfig,$(pkgconfigstems)) \
 		$(patsubst %,--extralib debian/tmp/usr/lib/%.so,$(extralibnames)) \
 		debian/tmp/usr/lib/$(libname).so
 	touch $@

## ucommon 6.0.7

=== debian/changelog ===
ucommon (6.0.7-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Rebuild against libgnutls-dev (gnutls2.6)
    - Fixes "libucomon-dev: Dependency on libgnutls28-dev makes sflphone
    unbuildable" (Closes: #716855)

 -- Mark Purcell <msp@debian.org>  Sat, 18 Jan 2014 09:12:31 +1100

ucommon (6.0.7-1) unstable; urgency=low

  [ upstream ]
  * New release.
    + Error state in fsys open fixed.
    + fsys error reset inline added.

  [ Jonas Smedegaard ]
  * Fix flip gnutls package names in changelog entry for previous
    6.0.6-1 packaging release, and mention reason for the change.
  * Bump debhelper compatibility to 9: Needed for co-installability of
    debug packages.
    Closes: bug#707560. Thanks to Ralf Treinen, Mark Purcell and Julien
    Cristau.
    Tighten build-dependency on debhelper as a consequence.
  * Relax to drop versioned build-dependency on gcc: Needed version
    satisfied even in oldstable.
  * Fix resolve library major version from libtool hint (not project
    version).

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 02 Aug 2013 11:33:06 +0200

ucommon (6.0.6-1) unstable; urgency=low

  [ upstream ]
  * New release.
    + Additional constructors to pass pre-allocated memory.
    + Small cleanup of useless validator assignments.
    + Fix gnutls casting and warnings.
    + Modernized automake support.

  * Add git URL as alternate source.
  * Have git-import-orig avoid .git-ignore files.
  * Stop tracking md5sum of upstream tarball.
  * Extend copyright coverage for autotools to include recent years.
  * Build-depend on libgnutls28-dev (not libgnutls-dev): Fails to build
    against the latter.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 01 Jul 2013 00:12:26 +0200

ucommon (6.0.4-1) unstable; urgency=low

  [ upstream ]
  * New release.
    + Fix for address list comparison issue.

  [ Jonas Smedegaard ]
  * Add README.source emphasizing control.in file as *not* a
    show-stopper for contributions, referring to wiki page for details.
  * Use anonscm.debian.org URL for Vcs-Git.
  * Bump packaging license to GPL-3+, and extend coverage to include
    recent years.
  * Extend copyright coverage for autotools.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 07 May 2013 08:47:06 +0200

ucommon (6.0.3-1) experimental; urgency=low

  [ upstream ]
  * New release.
    + Fixes for older gnutls releases.

  [ Jonas Smedegaard ]
  * Drop patch 0001: Applied upstream.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 17 Feb 2013 05:20:29 +0100

ucommon (6.0.2-1) experimental; urgency=low

  [ upstream ]
  * New upstream release.

  * Bump dephelper compatibility level to 8.
  * Bump standards-version to 3.9.4.
  * Update copyright file:
    + Extend coverage for autotools files.
    + Fix use pseudo-comment section to obey silly restrictions of
      copyright format 1.0.
    + List upstream issue tracker and development mailinglist as
      Upstream-Contact.
  * Update package relations:
    + Relax to build-depend unversioned on cdbs: Needed version
      satisfied in stable, and oldstable no longer supported.
  * Add patch 0001 from upstream VCS, to fix linkage against (older?)
    gnutls.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 11 Dec 2012 14:33:33 +0100

=== debian/control ===
--- 
+++ 
@@ -1,31 +1,30 @@
 Source: ucommon
 Priority: optional
 Maintainer: Jonas Smedegaard <dr@jones.dk>
-Build-Depends: cdbs (>= 0.4.70~),
+Build-Depends: cdbs,
  autotools-dev,
  devscripts,
  libtool,
  automake1.11,
  autoconf,
- debhelper,
+ debhelper (>= 9~),
  dh-buildinfo,
  pkg-config,
  libgnutls-dev,
  d-shlibs (>= 0.45~),
- graphviz,
- gcc (>= 4:4.4)
+ graphviz
 Build-Depends-Indep: doxygen-latex
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Section: net
 Homepage: http://www.gnu.org/software/commoncpp/
-Vcs-Git: git://git.debian.org/git/collab-maint/ucommon.git
+Vcs-Git: git://anonscm.debian.org/git/collab-maint/ucommon.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/ucommon.git
 
 Package: libucommon-dev
 Section: libdevel
 Architecture: any
 Depends: ${misc:Depends},
- libucommon5 (= ${binary:Version}),
+ libucommon6 (= ${binary:Version}),
  ${devlibs:Depends},
 Recommends: pkg-config
 Suggests: ucommon-doc
@@ -41,12 +40,12 @@
  .
  This package contains the development headers and static libraries.
 
-Package: libucommon5-dbg
+Package: libucommon6-dbg
 Architecture: any
 Section: debug
 Priority: extra
 Depends: ${misc:Depends},
- libucommon5 (= ${binary:Version})
+ libucommon6 (= ${binary:Version})
 Description: lightweight C++ threading and sockets - debugging symbols
  GNU uCommon C++ is a lightweight library to facilitate using C++ design
  patterns even for very deeply embedded applications, such as for
@@ -59,7 +58,7 @@
  .
  This package contains the debugging symbols.
 
-Package: libucommon5
+Package: libucommon6
 Section: libs
 Architecture: any
 Depends: ${misc:Depends},

=== debian/rules ===
--- 
+++ 
@@ -1,11 +1,11 @@
 #!/usr/bin/make -f
 # -*- mode: makefile; coding: utf-8 -*-
-# Copyright © 2011 Jonas Smedegaard <dr@jones.dk>
+# Copyright © 2011, 2012, 2013 Jonas Smedegaard <dr@jones.dk>
 # Description: Main Debian packaging script for GNU uCommon C++
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 2, or (at your option)
+# the Free Software Foundation; either version 3, or (at your option)
 # any later version.
 #
 # This program is distributed in the hope that it will be useful, but
@@ -34,16 +34,15 @@
 include /usr/share/cdbs/1/rules/debhelper.mk
 
 stem = ucommon
-major = $(firstword $(subst .,$(space),$(DEB_UPSTREAM_VERSION)))
+major = $(shell grep ^LT_VERSION= configure.ac | grep -o '[[:digit:]]*' | head -n 1)
 libname = lib$(stem)
 libpkgname = lib$(stem)$(major)
 extralibnames = libusecure
 pkgconfigstems = $(stem)
 
 DEB_UPSTREAM_URL = http://ftp.gnu.org/gnu/commoncpp
-DEB_UPSTREAM_TARBALL_MD5 = 4739fcd9db006432f1b8e2ea226e414a
 
-CDBS_BUILD_DEPENDS += , pkg-config, libgnutls-dev, d-shlibs (>= 0.45~), graphviz
+CDBS_BUILD_DEPENDS += , pkg-config, libgnutls28-dev, d-shlibs (>= 0.45~), graphviz
 
 DEB_MAKE_CHECK_TARGET = check
 
@@ -56,8 +55,6 @@
 devutils += commoncpp-config
 #DEB_CONFIGURE_EXTRA_FLAGS += --disable-commoncpp --disable-stdcpp
 
-# Apparently atomic intrinsics was introduced in GCC 4.4
-CDBS_BUILD_DEPENDS += , gcc (>= 4:4.4)
 DEB_CONFIGURE_EXTRA_FLAGS += --enable-atomics
 
 DEB_INSTALL_DOCS_$(stem)-doc += doc/html

=== debian/watch ===
# Run the "uscan" command to check for upstream updates and more.
version=3
http://ftp.gnu.org/gnu/commoncpp/ucommon-(\d.*)\.tar\.gz
